Name:           sslscan
Version:        2.1.5
Release:        %mkrel 2
Summary:        Fast SSL Scanner
Group:          Monitoring
License:        GPLv3+
URL:            https://github.com/rbsec/sslscan
Source0:        https://github.com/rbsec/sslscan/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  openssl-devel >= 1.1.1

%description
SSLScan queries SSL services, such as HTTPS, in order to determine the ciphers
that are supported. SSLScan is designed to be easy, lean and fast. The output
includes preferred ciphers of the SSL service, the certificate and is in Text
and XML formats.

%prep
%autosetup

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="-lssl -lcrypto"

%install
install -D -m 755 sslscan %{buildroot}%{_bindir}/sslscan
install -D -m 644 sslscan.1 %{buildroot}%{_mandir}/man1/sslscan.1

%files
%doc Changelog README.md TODO
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/sslscan.1*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 2.1.5-2.mga10
+ Revision: 2230470
- Mageia 10 Mass Rebuild

* Fri Nov 29 2024 daviddavid <daviddavid> 2.1.5-1.mga10
+ Revision: 2119924
- new version: 2.1.5
+ guillomovitch <guillomovitch>
- new version 2.0.15

* Thu Mar 17 2022 umeabot <umeabot> 2.0.8-3.mga9
+ Revision: 1796581
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 2.0.8-2.mga9
+ Revision: 1747954
- rebuild for openssl 3.0.0

* Thu Feb 25 2021 guillomovitch <guillomovitch> 2.0.8-1.mga9
+ Revision: 1690151
- new version 2.0.8

* Fri Nov 06 2020 guillomovitch <guillomovitch> 2.0.6-1.mga8
+ Revision: 1643022
- new version 2.0.6

* Tue Oct 27 2020 guillomovitch <guillomovitch> 2.0.5-1.mga8
+ Revision: 1639792
- new version 2.0.5

* Wed Oct 14 2020 guillomovitch <guillomovitch> 2.0.4-1.mga8
+ Revision: 1636089
- new version 2.0.4

* Fri Oct 09 2020 guillomovitch <guillomovitch> 2.0.2-1.mga8
+ Revision: 1633026
- new version 2.0.2

* Tue Sep 22 2020 guillomovitch <guillomovitch> 2.0.1-1.mga8
+ Revision: 1629462
- new version 2.0.1

* Wed Jul 29 2020 guillomovitch <guillomovitch> 2.0.0-1.mga8
+ Revision: 1609560
- new version 2.0.0 final

* Tue Jun 23 2020 guillomovitch <guillomovitch> 2.0.0-0.beta4.1.mga8
+ Revision: 1598663
- new version 2.0.0 beta 4

* Wed Mar 25 2020 guillomovitch <guillomovitch> 2.0.0-0.beta1.1.mga8
+ Revision: 1560063
- new pre-release (beta1)

* Tue Mar 03 2020 guillomovitch <guillomovitch> 2.0.0-0.alpha2.1.mga8
+ Revision: 1553463
- new version 2.0.0-alpha2

* Sat Feb 15 2020 umeabot <umeabot> 1.11.13-2.mga8
+ Revision: 1525208
- Mageia 8 Mass Rebuild

* Fri Apr 05 2019 guillomovitch <guillomovitch> 1.11.13-1.mga7
+ Revision: 1386068
- new version 1.11.13

* Fri Oct 26 2018 guillomovitch <guillomovitch> 1.11.12-1.mga7
+ Revision: 1325965
- new version 1.11.12

* Sun Sep 23 2018 umeabot <umeabot> 1.11.11-2.mga7
+ Revision: 1301173
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 guillomovitch <guillomovitch> 1.11.11-1.mga7
+ Revision: 1197586
- new version 1.11.11

* Wed Nov 22 2017 tv <tv> 1.11.10-3.mga7
+ Revision: 1178786
- rebuild for new openssl

* Wed Aug 23 2017 guillomovitch <guillomovitch> 1.11.10-2.mga7
+ Revision: 1143664
- change build dependencies to keep building against openssl 1.0

* Tue Jul 25 2017 guillomovitch <guillomovitch> 1.11.10-1.mga7
+ Revision: 1130731
- new version 1.11.10

* Fri Dec 30 2016 guillomovitch <guillomovitch> 1.11.8-1.mga6
+ Revision: 1078647
- new version 1.11.8

* Tue Jul 26 2016 guillomovitch <guillomovitch> 1.11.7-1.mga6
+ Revision: 1043663
- new version 1.11.7

* Sun Apr 24 2016 guillomovitch <guillomovitch> 1.11.6-1.mga6
+ Revision: 1005891
- new version 1.11.6

* Thu Mar 03 2016 umeabot <umeabot> 1.10.2-5.mga6
+ Revision: 984140
- Rebuild for openssl

* Fri Feb 05 2016 umeabot <umeabot> 1.10.2-4.mga6
+ Revision: 936377
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.2-3.mga5
+ Revision: 742395
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.2-2.mga5
+ Revision: 689327
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 guillomovitch <guillomovitch> 1.10.2-1.mga5
+ Revision: 593697
- new version 1.10.2

* Tue Feb 04 2014 guillomovitch <guillomovitch> 1.10.1-1.mga5
+ Revision: 580756
- new version 1.10.1 (dinotools fork)

* Fri Oct 18 2013 umeabot <umeabot> 1.8.2-3.mga4
+ Revision: 518620
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.8.2-2.mga3
+ Revision: 382664
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 20 2012 guillomovitch <guillomovitch> 1.8.2-1.mga3
+ Revision: 262112
- imported package sslscan

